# Reactivate the identification account for a person after a successful fallback identification

Reactivate the identication account after a failed bank_plus identification and a successful fallback identification. Returns the account details for a bank_plus identification.

Endpoint: PATCH /v1/persons/{person_id}/identification_account/reactivate
Version: 1.0

## Path parameters:

  - `person_id` (string, required)
    The unique ID of the person resource created for a customer.
    Example: "dc1a6812a14f6cc338cd084208535bcdcper"

## Response 200 fields (application/json):

  - `iban` (string)
    The account's IBAN.
    Example: "DE05011010100000000043"

  - `account_currency` (string)
    Currency: 'EUR'
    Example: "EUR"

  - `account_bic` (string)
    The account's BIC.
    Example: "SOBKDEB2XXX"

  - `product_name` (string)
    The product name for which you want to open an account. Check the [account opening guide](https://docs.solarisgroup.com/guides/digital-banking/account-opening/#fields-mapping) for more information about this field.
    Enum: "CURRENT_ACCOUNT_BUSINESS_FRANCE", "CURRENT_ACCOUNT_BUSINESS_GERMANY", "CURRENT_ACCOUNT_BUSINESS_ITALY", "CURRENT_ACCOUNT_BUSINESS_SPAIN", "CURRENT_ACCOUNT_CONSUMER_FRANCE", "CURRENT_ACCOUNT_CONSUMER_GERMANY", "CURRENT_ACCOUNT_CONSUMER_ITALY", "CURRENT_ACCOUNT_CONSUMER_SPAIN", "CURRENT_ACCOUNT_FREELANCER_FRANCE", "CURRENT_ACCOUNT_FREELANCER_GERMANY", "CURRENT_ACCOUNT_FREELANCER_ITALY", "CURRENT_ACCOUNT_FREELANCER_SPAIN", "CUSTOMER_CARD_SETTLEMENT", "DECOUPLED_CARD_CONSUMER_GERMANY", "EMONEY_ACCOUNT_BUSINESS_GERMANY", "EMONEY_ACCOUNT_CONSUMER_GERMANY", "EMONEY_ACCOUNT_FREELANCER_GERMANY", "RESTRICTED_ACCOUNT_BUSINESS_GERMANY", "RESTRICTED_ACCOUNT_CONSUMER_GERMANY", "RESTRICTED_ACCOUNT_CONSUMER_ITALY", "SAVINGS_ACCOUNT_CONSUMER_FRANCE", "SAVINGS_ACCOUNT_BUSINESS_FRANCE", "SAVINGS_ACCOUNT_FREELANCER_FRANCE", "SAVINGS_ACCOUNT_CONSUMER_GERMANY", "SAVINGS_ACCOUNT_BUSINESS_GERMANY", "SAVINGS_ACCOUNT_FREELANCER_GERMANY", "SAVINGS_ACCOUNT_CONSUMER_ITALY", "SAVINGS_ACCOUNT_BUSINESS_ITALY", "SAVINGS_ACCOUNT_FREELANCER_ITALY", "SAVINGS_ACCOUNT_CONSUMER_SPAIN", "SAVINGS_ACCOUNT_BUSINESS_SPAIN", "SAVINGS_ACCOUNT_FREELANCER_SPAIN", "SAVINGS_ACCOUNT_EXTERNAL_REFERENCE_CONSUMER_GERMANY", "SOFT_CURRENCY_ACCOUNT", "SUBACCOUNT_CONSUMER_FRANCE", "SUBACCOUNT_CONSUMER_GERMANY", "SUBACCOUNT_CONSUMER_ITALY", "SUBACCOUNT_CONSUMER_SPAIN", "SUBACCOUNT_BUSINESS_FRANCE", "SUBACCOUNT_BUSINESS_GERMANY", "SUBACCOUNT_BUSINESS_ITALY", "SUBACCOUNT_BUSINESS_SPAIN", "SUBACCOUNT_FREELANCER_FRANCE", "SUBACCOUNT_FREELANCER_GERMANY", "SUBACCOUNT_FREELANCER_ITALY", "SUBACCOUNT_FREELANCER_SPAIN"

  - `account_type` (string)
    The type of account you want to open. Must correspond to the product_name and customer_type. Check the [account opening guide](https://docs.solarisgroup.com/guides/digital-banking/account-opening/#fields-mapping) for more information about this field.
    Enum: "CALL_MONEY", "CARD_SETTLEMENT_PARTNER", "CHECKING_BUSINESS", "CHECKING_PERSONAL", "CHECKING_PERSONAL_OVERDRAFT", "CHECKING_SOLE_PROPRIETOR", "CHECKING_SUBACCOUNT", "CUSTOMER_CURRENCY_ACCOUNT", "DECOUPLED_CARD_BUSINESS", "DECOUPLED_CARD_PERSONAL", "EMONEY_PARKING", "EMONEY_PREPAID", "SAVINGS_BUSINESS", "SAVINGS_PERSONAL", "SAVINGS_PERSONAL_EXTERNAL_REFERENCE", "SAVINGS_SOLE_PROPRIETOR", "WALLET_BUSINESS", "WALLET_INSTITUTIONAL", "WALLET_LIQUIDITY_PROVIDER", "WALLET_PERSONAL", "WALLET_PERSONAL_PAYMENT_ACC"

  - `account_purpose` (string)
    The purpose of the account. Use primary unless otherwise instructed.
    Example: "primary"

  - `account_id` (string)
    The ID of the account that was created for the customer. This is null if account check is not successful.
    Example: "c5a0e32369e9372e0fdf490294cecd8dcacc"

## Response 403 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "403"

  - `code` (string)
    Example: "unauthorized_action"

  - `title` (string)
    Example: "Unauthorized Action"

  - `detail` (string)
    Example: "Unauthorized action is not allowed."

## Response 404 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "404"

  - `code` (string)
    Example: "model_not_found"

  - `title` (string)
    Example: "Model Not Found"

  - `detail` (string)
    Example: "Record not found"

## Response 412 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "412"

  - `code` (string)
    Example: "account_already_inactive"

  - `title` (string)
    Example: "Account Already Inactive"

  - `detail` (string)
    Example: "Account is already inactive"

## Response 500 fields (application/json):

  - `id` (string)
    Example: "e8915041-9d8c-4d96-9dd1-04e8522ecdbf"

  - `status` (string)
    Example: "500"

  - `code` (string)
    Example: "generic_error"

  - `title` (string)
    Example: "Generic Error"

  - `detail` (string)
    Example: "There was an error."


## Response default fields
